from django.utils.translation import gettext as _

from aleksis.core.util.apps import AppConfig


class DefaultConfig(AppConfig):
    name = "aleksis.apps.kort"
    verbose_name = "AlekSIS — Kort (manage student IDs)"
    dist_name = "AlekSIS-App-Kort"

    urls = {
        "Repository": "https://edugit.org/AlekSIS/onboarding//AlekSIS-App-Kort",
    }
    licence = "EUPL-1.2+"
    copyright_info = (
        ([2021], "Margarete Grassl", "grasslma@katharineum.de"),
        [2021],
        "Jonathan Weth",
        "dev@jonathanweth.de",
    )

    @classmethod
    def get_all_scopes(cls) -> dict[str, str]:
        """Return all OAuth scopes and their descriptions for this app."""
        return {"card_printer": _("Access and manage printer status and print jobs")}
